searchNodes=[{"ref":"CurrencyConversion.html","title":"CurrencyConversion","type":"module","doc":"Module to Convert Currencies."},{"ref":"CurrencyConversion.html#convert/3","title":"CurrencyConversion.convert/3","type":"function","doc":"Convert from currency A to B. Example iex&gt; CurrencyConversion.convert(Money.new(7_00, :CHF), :USD, %CurrencyConversion.Rates{base: :EUR, ...&gt; rates: %{CHF: 0.5, USD: 0.75}}) %Money{amount: 10_50, currency: :USD} iex&gt; CurrencyConversion.convert(Money.new(7_00, :EUR), :USD, %CurrencyConversion.Rates{base: :EUR, ...&gt; rates: %{CHF: 0.5, USD: 0.75}}) %Money{amount: 5_25, currency: :USD} iex&gt; CurrencyConversion.convert(Money.new(7_00, :CHF), :EUR, %CurrencyConversion.Rates{base: :EUR, ...&gt; rates: %{CHF: 0.5, USD: 0.75}}) %Money{amount: 14_00, currency: :EUR} iex&gt; CurrencyConversion.convert(Money.new(0, :CHF), :EUR, %CurrencyConversion.Rates{base: :EUR, ...&gt; rates: %{CHF: 0.5, USD: 0.75}}) %Money{amount: 0, currency: :EUR} iex&gt; CurrencyConversion.convert(Money.new(7_20, :CHF), :CHF, %CurrencyConversion.Rates{base: :EUR, ...&gt; rates: %{CHF: 0.5, USD: 0.75}}) %Money{amount: 7_20, currency: :CHF}"},{"ref":"CurrencyConversion.html#get_currencies/1","title":"CurrencyConversion.get_currencies/1","type":"function","doc":"Get all currencies Examples iex&gt; CurrencyConversion.get_currencies(%CurrencyConversion.Rates{base: :EUR, ...&gt; rates: %{CHF: 0.5, USD: 0.75}}) [:EUR, :CHF, :USD]"},{"ref":"CurrencyConversion.Rates.html","title":"CurrencyConversion.Rates","type":"module","doc":"This is the CurrencyConversion.Rates struct."},{"ref":"CurrencyConversion.Rates.html#__struct__/0","title":"CurrencyConversion.Rates.__struct__/0","type":"function","doc":"Defines a Currency DataSet Values base - Defines the base currency (all other currencies are derived from the base currency) Type: atom Example: :CHF rates Type: %{atom =&gt; float} Example: %{CHF: 1.23, EUR: 1.132} Examples iex&gt; %CurrencyConversion.Rates{base: :EUR, rates: %{AUD: 1.4205, BGN: 1.9558}} %CurrencyConversion.Rates{base: :EUR, rates: %{AUD: 1.4205, BGN: 1.9558}}"},{"ref":"CurrencyConversion.Rates.html#t:t/0","title":"CurrencyConversion.Rates.t/0","type":"type","doc":""},{"ref":"CurrencyConversion.Source.html","title":"CurrencyConversion.Source","type":"behaviour","doc":"Behaviour for all currency rate sources."},{"ref":"CurrencyConversion.Source.html#c:load/0","title":"CurrencyConversion.Source.load/0","type":"callback","doc":""},{"ref":"CurrencyConversion.Source.Fixer.html","title":"CurrencyConversion.Source.Fixer","type":"module","doc":"Currency Conversion Source for http://fixer.io/"},{"ref":"CurrencyConversion.Source.Fixer.html#load/0","title":"CurrencyConversion.Source.Fixer.load/0","type":"function","doc":"Load current currency rates from fixer.io. Examples iex&gt; CurrencyConversion.Source.Fixer.load {:ok, %CurrencyConversion.Rates{base: :EUR, rates: %{AUD: 1.4205, BGN: 1.9558, BRL: 3.4093, CAD: 1.4048, CHF: 1.0693, CNY: 7.3634, CZK: 27.021, DKK: 7.4367, GBP: 0.85143, HKD: 8.3006, HRK: 7.48, HUF: 310.98, IDR: 14316.0, ILS: 4.0527, INR: 72.957, JPY: 122.4, KRW: 1248.1, MXN: 22.476, MYR: 4.739, NOK: 8.9215, NZD: 1.4793, PHP: 53.373, PLN: 4.3435, RON: 4.4943, RUB: 64.727, SEK: 9.466, SGD: 1.5228, THB: 37.776, TRY: 4.1361, USD: 1.07, ZAR: 14.31}}}"},{"ref":"CurrencyConversion.Source.Test.html","title":"CurrencyConversion.Source.Test","type":"module","doc":"Currency Conversion Source for Tests"},{"ref":"CurrencyConversion.Source.Test.html#default_rates/0","title":"CurrencyConversion.Source.Test.default_rates/0","type":"function","doc":""},{"ref":"CurrencyConversion.Source.Test.html#load/0","title":"CurrencyConversion.Source.Test.load/0","type":"function","doc":"Load current currency rates from config. Examples iex&gt; CurrencyConversion.Source.Test.load {:ok, %CurrencyConversion.Rates{base: :EUR, rates: %{AUD: 1.4205, BGN: 1.9558, BRL: 3.4093, CAD: 1.4048, CHF: 1.0693, CNY: 7.3634, CZK: 27.021, DKK: 7.4367, GBP: 0.85143, HKD: 8.3006, HRK: 7.48, HUF: 310.98, IDR: 14316.0, ILS: 4.0527, INR: 72.957, JPY: 122.4, KRW: 1248.1, MXN: 22.476, MYR: 4.739, NOK: 8.9215, NZD: 1.4793, PHP: 53.373, PLN: 4.3435, RON: 4.4943, RUB: 64.727, SEK: 9.466, SGD: 1.5228, THB: 37.776, TRY: 4.1361, USD: 1.07, ZAR: 14.31}}}"}]